$(function () {

    var v = $("#v").val();
    if (v == 1) chan('k1');
    if (v == 2) chan('k2');
    if (v == 3) chan('k3');
    if (v == 4) chan('k4');




    $(document).bind('keydown.return', function () {
        if (($('#w').css('display') != 'none') && ($('#d3').css('display') != 'none')) {
            var url = document.location.pathname;
            if (url.indexOf("free") > 0) {
                startExam();
            } else {
               // $('#w').window('open').panel('refresh', basePath + "exam/ready.do");
            }
            //startExam();
        }

    });
});


function chan(id) {
    $("#k1").attr("class", "testitem");
    $("#k2").attr("class", "testitem");
    $("#k3").attr("class", "testitem");
    $("#k4").attr("class", "testitem");

    $("#" + id).attr("class", "testitem_");
    if (id == 'k1') { /* $("#ssp").html("您选择的考试科目：科目一" );*/  $("#stype").val("001"); }
    if (id == 'k2') {  /*$("#ssp").html("您选择的考试科目：科目四" );*/  $("#stype").val("002"); }
    if (id == 'k3') {  /*$("#ssp").html("您选择的考试科目：恢复驾照" ); */ $("#stype").val("003"); }
    if (id == 'k4') {  /*$("#ssp").html("您选择的考试科目：资格证考试" ); */ $("#stype").val("004"); }

    if (id == 'k4') {
        $('#colume1').hide();
        $('#colume4').show();
    } else {
        $('#colume1').show();
        $('#colume4').hide();
    }

    $("#vvp").html("");
    $("#vtype").val("");

    $("#ssp").html("");
    $("#vvp").html("");

}

function chim(id) {
    //$("#questions div").removeClass("pointboxcurrent");
    //$(this).addClass("pointboxcurrent");

    $(".select_item").removeClass("select_item");

    //	$("#m1").attr("class","carimgbox");
    //	$("#m2").attr("class","carimgbox");
    //	$("#m3").attr("class","carimgbox");
    //	$("#m4").attr("class","carimgbox");
    //	
    //	$("#m5").attr("class","carimgbox");
    //	$("#m6").attr("class","carimgbox");
    //	$("#m7").attr("class","carimgbox");
    //	$("#m8").attr("class","carimgbox");
    //	$("#m9").attr("class","carimgbox");

    //   $("#"+id).attr("class","carimgbox_");
    $("#" + id + " div").addClass("select_item");

    if (id == 'm1') {  /*$("#vvp").html("您选择的考试车型：C1C2C3C4" ); */ $("#vtype").val("C1C2C3C4"); }
    if (id == 'm2') {  /*$("#vvp").html("您选择的考试车型：A1A3B1" ); */ $("#vtype").val("A1A3B1"); }
    if (id == 'm3') {  /*$("#vvp").html("您选择的考试车型：A2B2" );*/  $("#vtype").val("A2B2"); }
    if (id == 'm4') {  /*$("#vvp").html("您选择的考试车型：DEF" ); */ $("#vtype").val("DEF"); }
    if (id == 'm5') {  /*$("#vvp").html("您选择的考试车型：客运" );*/  $("#vtype").val("cert1"); }
    if (id == 'm6') {  /*$("#vvp").html("您选择的考试车型：货运" );*/  $("#vtype").val("cert2"); }
    if (id == 'm7') {  /*$("#vvp").html("您选择的考试车型：危险品" );*/  $("#vtype").val("cert3"); }
    if (id == 'm8') {  /*$("#vvp").html("您选择的考试车型：出租车" );*/  $("#vtype").val("cert4"); }
    if (id == 'm9') {  /*$("#vvp").html("您选择的考试车型：教练车" );*/  $("#vtype").val("cert5"); }


}

function test() {
    $("#ssp").html("");
    $("#vvp").html("");

    var error = 0;
    if ($("#stype").val() == "") { $("#ssp").html("请您选择考试科目!"); error++; }
    if ($("#vtype").val() == "") {

        if ($("#stype").val() == "004")
            $("#vvp").html("请您选择资格证类型!");
        else
            $("#vvp").html("请您选择考试车型!");
        error++;


    }

    if (error == 0)
        window.location.href = "free.action?vtype=" + $("#vtype").val() + "&stype=" + $("#stype").val() + "&isAB=1";

}

function clearError() {
    $.ajax({
        url: '/Question/ErrorQuestionTruncate',
        cache: false,
        dataType: "json",
        success: function (data) {
            console.log(data);
             $.messager.alert('提示', data.message, 'info');
        }

    });
}

function choose(lib) {
    if (lib == 2) {
        var url = document.location.pathname;
        if (url.indexOf("free") > 0) {
            startExam();
        } else {
            $('#w').window('open').panel('refresh', '/home/FZKS');
        }

    } else {
        window.location.href = "/home/project?lib=" + lib;
    }

}

function readyExam1() {
    //$('#d1').toggle();
    //$('#d2').toggle();
    //if ($('#d2').parent().css('display') != 'none') {
    //    $('#insertId').focus();
    //}
    // $('#d2').toggle();
    $('#d1').toggle();
    $('#d3').toggle();
}

function readyExam2() {
    //var _id = $('#insertId').val();
    //var id = $('#idno').html();
    //if (_id.length == 0) {
    //    alert("请键入身份证号码");
    //    return;
    //} else if (_id != id) {
    //    alert("身份证号码与登记记录不符，请重新输入。");
    //    return;
    //}

    $('#d2').toggle();
    $('#d3').toggle();
}

function startExam() {
    $("#lib").val("2");
    //$("isRandom").val(2); //是否随机 1 顺序 2随机
    $("#form1").submit();
}

function tranChoose(radio_value) {

    var chk_value = [];
    $("input[name=itemCode]:checked").each(function () {
        chk_value.push($(this).val());
    })

    /*var radio_value ='';
	if($("input[name=qOrder]").is(':checked')){
		radio_value = $("input[name=qOrder]:checked").val();
	}*/

    if (chk_value.length == 0) {
        alert('你还没有选择任何内容！');
        return;
    }

    /*if(radio_value.length==0){
		alert('你还没有选择出题方式！'); 
		return ;
	}*/


    $("#code").val(chk_value);
    $("#isRandom").val(radio_value); 
    $("#form1").submit();

}

function tranTest(lib) {
    $("#lib2").val(lib);
    $("isRandom2").val(2); //是否随机 1 顺序 2随机
    $("#form2").submit();
}

function jumpurl(id) {
    location.href = basePath + "exam/questions!lastExam.do?uuid=" + id;
}